> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Coding Variants

> Retrieve coding variants annotations.

At least one of these fields is required: id, name, hgvsp, protein_id, uniprot_name, gene_name, transcript_id.

alt_amino_acid filters by the alternate amino acid at the given position (single-letter code, use * for stop codon).

Example: name = SAMD7_ENST00000335556_p.Gly253Asp_c.758_759delinsAC

id = SAMD7_ENST00000335556_p.Gly253Asp_c.758_759delinsAC,

hgvsp = p.Gly253Asp,

gene_name = SAMD7,

protein_id = ENSP00000334668,

uniprot_name = SAMD7_HUMAN,

amino_acid_position = 253 (range values are also available, e.g: range:0-2),

alt_amino_acid = D,

transcript_id = ENST00000335556.

The limit parameter controls the page size and can not exceed 25.

Pagination is 0-based.



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /coding-variants
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /coding-variants:
    get:
      summary: Coding Variants
      description: >-
        Retrieve coding variants annotations.


        At least one of these fields is required: id, name, hgvsp, protein_id,
        uniprot_name, gene_name, transcript_id.


        alt_amino_acid filters by the alternate amino acid at the given position
        (single-letter code, use * for stop codon).


        Example: name = SAMD7_ENST00000335556_p.Gly253Asp_c.758_759delinsAC


        id = SAMD7_ENST00000335556_p.Gly253Asp_c.758_759delinsAC,


        hgvsp = p.Gly253Asp,


        gene_name = SAMD7,


        protein_id = ENSP00000334668,


        uniprot_name = SAMD7_HUMAN,


        amino_acid_position = 253 (range values are also available, e.g:
        range:0-2),


        alt_amino_acid = D,


        transcript_id = ENST00000335556.


        The limit parameter controls the page size and can not exceed 25.


        Pagination is 0-based.
      operationId: codingVariants
      parameters:
        - name: id
          in: query
          required: false
          schema:
            type: string
        - name: name
          in: query
          required: false
          schema:
            type: string
        - name: hgvsp
          in: query
          required: false
          schema:
            type: string
        - name: protein_id
          in: query
          required: false
          schema:
            type: string
        - name: uniprot_name
          in: query
          required: false
          schema:
            type: string
        - name: gene_name
          in: query
          required: false
          schema:
            type: string
        - name: amino_acid_position
          in: query
          required: false
          schema:
            type: string
        - name: alt_amino_acid
          in: query
          required: false
          schema:
            type: string
            enum:
              - A
              - C
              - D
              - E
              - F
              - G
              - H
              - I
              - K
              - L
              - M
              - 'N'
              - P
              - Q
              - R
              - S
              - T
              - V
              - W
              - 'Y'
              - '*'
        - name: transcript_id
          in: query
          required: false
          schema:
            type: string
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    _id:
                      type: string
                    name:
                      type: string
                      nullable: true
                    ref:
                      type: string
                      nullable: true
                    alt:
                      type: string
                      nullable: true
                    protein_name:
                      type: string
                      nullable: true
                    protein_id:
                      type: string
                      nullable: true
                    gene_name:
                      type: string
                      nullable: true
                    transcript_id:
                      type: string
                      nullable: true
                    aapos:
                      type: number
                      nullable: true
                    hgvsp:
                      type: string
                      nullable: true
                    hgvsc:
                      type: string
                      nullable: true
                    refcodon:
                      type: string
                      nullable: true
                    codonpos:
                      type: number
                      nullable: true
                    SIFT_score:
                      type: number
                      nullable: true
                    SIFT4G_score:
                      type: number
                      nullable: true
                    Polyphen2_HDIV_score:
                      type: number
                      nullable: true
                    Polyphen2_HVAR_score:
                      type: number
                      nullable: true
                    VEST4_score:
                      type: number
                      nullable: true
                    REVEL_score:
                      type: number
                      nullable: true
                    MutPred_score:
                      type: number
                      nullable: true
                    BayesDel_addAF_score:
                      type: number
                      nullable: true
                    BayesDel_noAF_score:
                      type: number
                      nullable: true
                    VARITY_R_score:
                      type: number
                      nullable: true
                    VARITY_ER_score:
                      type: number
                      nullable: true
                    VARITY_R_LOO_score:
                      type: number
                      nullable: true
                    VARITY_ER_LOO_score:
                      type: number
                      nullable: true
                    ESM1b_score:
                      type: number
                      nullable: true
                    AlphaMissense_score:
                      type: number
                      nullable: true
                    CADD_raw_score:
                      type: number
                      nullable: true
                    source:
                      type: string
                    source_url:
                      type: string
                  required:
                    - _id
                    - name
                    - ref
                    - alt
                    - protein_name
                    - protein_id
                    - gene_name
                    - transcript_id
                    - aapos
                    - hgvsp
                    - refcodon
                    - codonpos
                    - SIFT_score
                    - SIFT4G_score
                    - Polyphen2_HDIV_score
                    - Polyphen2_HVAR_score
                    - VEST4_score
                    - REVEL_score
                    - MutPred_score
                    - BayesDel_addAF_score
                    - BayesDel_noAF_score
                    - VARITY_R_score
                    - VARITY_ER_score
                    - VARITY_R_LOO_score
                    - VARITY_ER_LOO_score
                    - ESM1b_score
                    - AlphaMissense_score
                    - CADD_raw_score
                    - source
                    - source_url
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````